wrong python lib found when building VTK

Bug #855399 reported by Gordon Klaus
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Dorsal
Fix Released
Medium
Harish Narayanan

Bug Description

CMake finds the system Python (2.4) instead of the one built as part of FEniCS (2.7, which is on the PATH, and is the one that runs when I type 'python'). This manifests itself as
*** Warning: [...]FEniCS/lib/vtk-5.6/libvtkCommonPythonD.so.5.6: undefined symbol: Py_InitModule4
*** Warning: Unable to import Viper, plotting disabled.
when I import dolfin. (For some reason, the libpython2.4.so on my system doesn't export any symbols.)

VTK 5.6.1 uses an old version of CMake (2.4): VTK/CMake/FindPythonLibs.cmake doesn't know about Python 2.7. When I include '2.7' in the line
FOREACH(_CURRENT_VERSION 2.6 2.5 2.4 2.3 2.2 2.1 2.0 1.6 1.5)
the problem goes away.

VTK 5.8 uses CMake 2.8, which doesn't have this problem.

Revision history for this message
Harish Narayanan (hnarayanan) wrote :

I have updated the VTK package to fetch VTK 5.8.0. Does it work now?

Changed in dorsal:
status: New → Fix Committed
importance: Undecided → Medium
assignee: nobody → Harish Narayanan (hnarayanan)
milestone: none → 1.0
Revision history for this message
Gordon Klaus (gordon-klaus) wrote :

Yep, I removed the old VTK and rebuilt. It works.

Changed in dorsal:
milestone: 1.0 → 1.0-beta2
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers